JBossWS SVN: r3660 - trunk/build/ant-import.
by jbossws-commits@lists.jboss.org
Author: heiko.braun(a)jboss.com
Date: 2007-06-20 07:49:40 -0400 (Wed, 20 Jun 2007)
New Revision: 3660
Modified:
trunk/build/ant-import/build-hudson.xml
Log:
Use buil.dir instead of build.output.dir
Modified: trunk/build/ant-import/build-hudson.xml
===================================================================
--- trunk/build/ant-import/build-hudson.xml 2007-06-20 11:49:18 UTC (rev 3659)
+++ trunk/build/ant-import/build-hudson.xml 2007-06-20 11:49:40 UTC (rev 3660)
@@ -32,7 +32,7 @@
<fail message="Cannot use default hudson password: ${hudson.password}" if="hudson.password.changeme"/>
<property name="thirdparty.dir" value="${core.dir}/thirdparty"/>
- <mkdir dir="${build.output.dir}"/>
+ <mkdir dir="${build.dir}/output"/>
<mkdir dir="${thirdparty.dir}"/>
</target>
@@ -71,11 +71,11 @@
description="Setup the Hudson QA environment">
<!-- get the svn url -->
- <exec dir="${build.dir}/.." executable="svn" failonerror="true" output="${build.output.dir}/svn-info.xml">
+ <exec dir="${build.dir}/.." executable="svn" failonerror="true" output="${build.dir}/output/svn-info.xml">
<arg line="info"/>
<arg line="--xml"/>
</exec>
- <xmlproperty file="${build.output.dir}/svn-info.xml"/>
+ <xmlproperty file="${build.dir}/output/svn-info.xml"/>
<property name="svn.url" value="${info.entry.url}"/>
<exec executable="dirname" outputproperty="svn.basedir.local">
@@ -124,8 +124,8 @@
<target name="hudson-start" depends="init-hudson" description="Start the Hudson QA environment">
- <mkdir dir="${build.output.dir}"/>
- <exec executable="${hudson.tomcat}/bin/catalina.sh" failonerror="true" output="${build.output.dir}/hudson.log">
+ <mkdir dir="${build.dir}/output"/>
+ <exec executable="${hudson.tomcat}/bin/catalina.sh" failonerror="true" output="${build.dir}/output/hudson.log">
<arg line="start"/>
</exec>
17 years, 7 months
JBossWS SVN: r3659 - in branches/jbossws-2.0: integration/native/src/main/java/org/jboss/wsf/stack/jbws and 2 other directories.
by jbossws-commits@lists.jboss.org
Author: thomas.diesler(a)jboss.com
Date: 2007-06-20 07:49:18 -0400 (Wed, 20 Jun 2007)
New Revision: 3659
Modified:
branches/jbossws-2.0/integration/jboss42/src/main/java/org/jboss/wsf/container/jboss42/ManagedServerConfig.java
branches/jbossws-2.0/integration/native/src/main/java/org/jboss/wsf/stack/jbws/RequestHandlerImpl.java
branches/jbossws-2.0/integration/spi/src/main/java/org/jboss/wsf/spi/management/BasicServerConfig.java
branches/jbossws-2.0/integration/spi/src/main/java/org/jboss/wsf/spi/management/ServerConfig.java
branches/jbossws-2.0/jbossws-core/src/main/java/org/jboss/ws/core/server/ContextServlet.java
branches/jbossws-2.0/jbossws-core/src/main/java/org/jboss/ws/core/server/WSDLRequestHandler.java
Log:
[JBWS-1609] Address in WSDL - Port value is -1 when server is requested with default port 80
Modified: branches/jbossws-2.0/integration/jboss42/src/main/java/org/jboss/wsf/container/jboss42/ManagedServerConfig.java
===================================================================
--- branches/jbossws-2.0/integration/jboss42/src/main/java/org/jboss/wsf/container/jboss42/ManagedServerConfig.java 2007-06-20 11:48:32 UTC (rev 3658)
+++ branches/jbossws-2.0/integration/jboss42/src/main/java/org/jboss/wsf/container/jboss42/ManagedServerConfig.java 2007-06-20 11:49:18 UTC (rev 3659)
@@ -44,9 +44,6 @@
public void create() throws Exception
{
- log.debug("WebServiceHost: " + getWebServiceHost());
- log.debug("WebServicePort: " + getWebServicePort());
- log.debug("WebServiceSecurePort: " + getWebServiceSecurePort());
MBeanServer server = getMBeanServer();
if (server != null)
{
Modified: branches/jbossws-2.0/integration/native/src/main/java/org/jboss/wsf/stack/jbws/RequestHandlerImpl.java
===================================================================
--- branches/jbossws-2.0/integration/native/src/main/java/org/jboss/wsf/stack/jbws/RequestHandlerImpl.java 2007-06-20 11:48:32 UTC (rev 3658)
+++ branches/jbossws-2.0/integration/native/src/main/java/org/jboss/wsf/stack/jbws/RequestHandlerImpl.java 2007-06-20 11:49:18 UTC (rev 3659)
@@ -95,7 +95,6 @@
* A request handler
*
* @author Thomas.Diesler(a)jboss.org
- * @author mageshbk(a)jboss.com
* @since 25-Apr-2007
*/
public class RequestHandlerImpl implements RequestHandler
@@ -503,10 +502,14 @@
String resPath = (String)req.getParameter("resource");
URL reqURL = new URL(req.getRequestURL().toString());
+ String wsdlHost = reqURL.getProtocol() + "://" + reqURL.getHost() + ":" + reqURL.getPort();
+
ServerConfigFactory factory = ServerConfigFactory.getInstance();
ServerConfig config = factory.getServerConfig();
- String wsdlHost = config.getDisplayHost(epMetaData.getEndpointAddress(),reqURL);
-
+ if (config.getWebServiceHost().equals(ServerConfig.UNDEFINED_HOSTNAME) == false)
+ {
+ wsdlHost = config.getWebServiceHost();
+ }
log.debug("WSDL request, using host: " + wsdlHost);
WSDLRequestHandler wsdlRequestHandler = new WSDLRequestHandler(epMetaData);
Modified: branches/jbossws-2.0/integration/spi/src/main/java/org/jboss/wsf/spi/management/BasicServerConfig.java
===================================================================
--- branches/jbossws-2.0/integration/spi/src/main/java/org/jboss/wsf/spi/management/BasicServerConfig.java 2007-06-20 11:48:32 UTC (rev 3658)
+++ branches/jbossws-2.0/integration/spi/src/main/java/org/jboss/wsf/spi/management/BasicServerConfig.java 2007-06-20 11:49:18 UTC (rev 3659)
@@ -25,9 +25,7 @@
import java.io.File;
import java.net.InetAddress;
-import java.net.MalformedURLException;
import java.net.UnknownHostException;
-import java.net.URL;
import java.util.Iterator;
import java.util.Set;
@@ -45,7 +43,6 @@
*
* @author Thomas.Diesler(a)jboss.org
* @author darran.lofthouse(a)jboss.com
- * @author mageshbk(a)jboss.com
* @since 08-May-2006
*/
public class BasicServerConfig implements ServerConfig
@@ -139,27 +136,31 @@
if (webServicePort <= 0)
webServicePort = getConnectorPort("HTTP/1.1", false);
- if (webServicePort <= 0)
+ int localPort = webServicePort;
+ if (localPort <= 0)
{
+ // Do not initialize webServicePort with the default, the connector port may become available later
log.warn("Unable to calculate 'WebServicePort', using default '8080'");
- webServicePort = 8080;
+ localPort = 8080;
}
- return webServicePort;
+ return localPort;
}
public int getWebServiceSecurePort()
{
if (webServiceSecurePort <= 0)
webServiceSecurePort = getConnectorPort("HTTP/1.1", true);
-
- if (webServiceSecurePort <= 0)
+
+ int localPort = webServiceSecurePort;
+ if (localPort <= 0)
{
+ // Do not initialize webServiceSecurePort with the default, the connector port may become available later
log.warn("Unable to calculate 'WebServiceSecurePort', using default '8443'");
- webServiceSecurePort = 8443;
+ localPort = 8443;
}
- return webServiceSecurePort;
+ return localPort;
}
private int getConnectorPort(final String protocol, final boolean secure)
@@ -218,63 +219,4 @@
}
return server;
}
-
- public String getDisplayAddress(String endpointAddress, URL requestURL) throws MalformedURLException
- {
- URL displayURL = new URL(endpointAddress);
- String displayHost = getDisplayHost(endpointAddress, requestURL);
-
- String displayAddress = displayHost + displayURL.getPath();
- if (log.isDebugEnabled())
- {
- log.trace("Mapping WSDL soap:address from '" + endpointAddress + "' to '" + displayAddress + "'");
- }
- return displayAddress;
- }
-
- /*
- * Formats the Service endpoint host according to the beans.xml definition and
- * the requested url and returns the URL as string
- *
- */
- public String getDisplayHost(String endpointAddress, URL requestURL) throws MalformedURLException
- {
- URL displayURL = new URL(endpointAddress);
- String protocol = displayURL.getProtocol();
- String host = displayURL.getHost();
- int port = displayURL.getPort();
- String uriScheme = requestURL.getProtocol();
- if (this.modifySOAPAddress || host.equals(BasicServerConfig.UNDEFINED_HOSTNAME) == true)
- {
- //Modify the address
- if (this.getWebServiceHost().equals(BasicServerConfig.UNDEFINED_HOSTNAME) == true)
- {
- //Use the incoming request's address
- protocol = uriScheme;
- host = requestURL.getHost();
- port = requestURL.getPort();
- }
- else
- {
- //Use the address given in jboss-beans.xml
- protocol = uriScheme;
- host = this.getWebServiceHost();
- if (protocol.equals("https"))
- {
- port = this.getWebServiceSecurePort();
- }
- else
- {
- port = this.getWebServicePort();
- }
- }
- }
- String displayHost = protocol + "://" + host + (port > 0 ? ":" + port : "");
-
- if (log.isDebugEnabled())
- {
- log.trace("Mapping WSDL host from '" + protocol + "://" + host + ":" + port + "' to '" + displayHost + "'");
- }
- return displayHost;
- }
}
Modified: branches/jbossws-2.0/integration/spi/src/main/java/org/jboss/wsf/spi/management/ServerConfig.java
===================================================================
--- branches/jbossws-2.0/integration/spi/src/main/java/org/jboss/wsf/spi/management/ServerConfig.java 2007-06-20 11:48:32 UTC (rev 3658)
+++ branches/jbossws-2.0/integration/spi/src/main/java/org/jboss/wsf/spi/management/ServerConfig.java 2007-06-20 11:49:18 UTC (rev 3659)
@@ -24,9 +24,7 @@
// $Id$
import java.io.File;
-import java.net.MalformedURLException;
import java.net.UnknownHostException;
-import java.net.URL;
import javax.management.ObjectName;
@@ -36,7 +34,6 @@
* Interface to container independent config
*
* @author Thomas.Diesler(a)jboss.org
- * @author mageshbk(a)jboss.com
* @since 08-May-2006
*/
public interface ServerConfig
@@ -69,8 +66,4 @@
boolean isModifySOAPAddress();
void setModifySOAPAddress(boolean flag);
-
- String getDisplayAddress(String endpointAddress, URL requestURL) throws MalformedURLException;
-
- String getDisplayHost(String endpointAddress, URL requestURL) throws MalformedURLException;
}
Modified: branches/jbossws-2.0/jbossws-core/src/main/java/org/jboss/ws/core/server/ContextServlet.java
===================================================================
--- branches/jbossws-2.0/jbossws-core/src/main/java/org/jboss/ws/core/server/ContextServlet.java 2007-06-20 11:48:32 UTC (rev 3658)
+++ branches/jbossws-2.0/jbossws-core/src/main/java/org/jboss/ws/core/server/ContextServlet.java 2007-06-20 11:49:18 UTC (rev 3659)
@@ -41,14 +41,11 @@
import org.jboss.wsf.spi.management.EndpointMetrics;
import org.jboss.wsf.spi.management.EndpointRegistry;
import org.jboss.wsf.spi.management.EndpointRegistryFactory;
-import org.jboss.wsf.spi.management.ServerConfig;
-import org.jboss.wsf.spi.management.ServerConfigFactory;
/**
* The servlet that that is associated with context /jbossws
*
* @author Thomas.Diesler(a)jboss.org
- * @author mageshbk(a)jboss.com
* @since 21-Mar-2005
*/
public class ContextServlet extends HttpServlet
@@ -98,8 +95,6 @@
{
Endpoint ep = epRegistry.getEndpoint(oname);
ServerEndpointMetaData sepMetaData = ep.getAttachment(ServerEndpointMetaData.class);
- ServerConfig config = ServerConfigFactory.getInstance().getServerConfig();
- String displayAddress = config.getDisplayAddress(sepMetaData.getEndpointAddress(), requestURL);
writer.print("<tr>");
writer.print(" <td>Endpoint Name</td>");
@@ -107,7 +102,7 @@
writer.print("</tr>");
writer.print("<tr>");
writer.print(" <td>Endpoint Address</td>");
- writer.print(" <td><a href='" + displayAddress + "?wsdl'>" + displayAddress + "?wsdl</a></td>");
+ writer.print(" <td><a href='" + sepMetaData.getEndpointAddress() + "?wsdl'>" + sepMetaData.getEndpointAddress() + "?wsdl</a></td>");
writer.print("</tr>");
writer.print("<tr>");
writer.print(" <td colspan=2>");
Modified: branches/jbossws-2.0/jbossws-core/src/main/java/org/jboss/ws/core/server/WSDLRequestHandler.java
===================================================================
--- branches/jbossws-2.0/jbossws-core/src/main/java/org/jboss/ws/core/server/WSDLRequestHandler.java 2007-06-20 11:48:32 UTC (rev 3658)
+++ branches/jbossws-2.0/jbossws-core/src/main/java/org/jboss/ws/core/server/WSDLRequestHandler.java 2007-06-20 11:49:18 UTC (rev 3659)
@@ -46,7 +46,6 @@
* For a discussion of this topic.
*
* @author Thomas.Diesler(a)jboss.org
- * @author mageshbk(a)jboss.com
* @since 23-Mar-2005
*/
public class WSDLRequestHandler
@@ -137,10 +136,10 @@
if (! (wsdlHost.startsWith("http://") || wsdlHost.startsWith("https://")) )
{
- String reqProtocol = reqURL.getProtocol();
- int reqPort = reqURL.getPort();
- String hostAndPort = wsdlHost + (reqPort > 0 ? ":" + reqPort : "");
- completeHost = reqProtocol + "://" + hostAndPort;
+ String reqProtocol = reqURL.getProtocol();
+ int reqPort = reqURL.getPort();
+ String hostAndPort = wsdlHost + (reqPort > 0 ? ":" + reqPort : "");
+ completeHost = reqProtocol + "://" + hostAndPort;
}
String newLocation = completeHost + reqPath + "?wsdl&resource=" + newResourcePath;
@@ -160,12 +159,25 @@
String orgLocation = locationAttr.getNodeValue();
URL locURL = new URL(orgLocation);
+ String locProtocol = locURL.getProtocol();
String locPath = locURL.getPath();
- String newLocation = wsdlHost + locPath;
- locationAttr.setNodeValue(newLocation);
+ if (reqURL.getProtocol().equals(locProtocol) && reqURL.getPath().equals(locPath))
+ {
+ String completeHost = wsdlHost;
+ if (! (completeHost.startsWith("http://") || completeHost.startsWith("https://")) )
+ {
+ int locPort = locURL.getPort();
+ String hostAndPort = wsdlHost + (locPort > 0 ? ":" + locPort : "");
- log.trace("Mapping address from '" + orgLocation + "' to '" + newLocation + "'");
+ completeHost = locProtocol + "://" + hostAndPort;
+ }
+
+ String newLocation = completeHost + locPath;
+ locationAttr.setNodeValue(newLocation);
+
+ log.trace("Mapping address from '" + orgLocation + "' to '" + newLocation + "'");
+ }
}
}
else
17 years, 7 months
JBossWS SVN: r3657 - trunk/jbossws-core/src/main/etc.
by jbossws-commits@lists.jboss.org
Author: heiko.braun(a)jboss.com
Date: 2007-06-20 07:48:08 -0400 (Wed, 20 Jun 2007)
New Revision: 3657
Modified:
trunk/jbossws-core/src/main/etc/default.mf
Log:
Rely on manifest classpath attributes
Modified: trunk/jbossws-core/src/main/etc/default.mf
===================================================================
--- trunk/jbossws-core/src/main/etc/default.mf 2007-06-20 11:47:50 UTC (rev 3656)
+++ trunk/jbossws-core/src/main/etc/default.mf 2007-06-20 11:48:08 UTC (rev 3657)
@@ -1,4 +1,4 @@
-Manifest-Version: 1.0
+Manifest-Version: 1.2
Created-By: @java.vm.version@ (@java.vm.vendor@)
Specification-Title: @specification.title@
Specification-Version: @specification.version@
@@ -9,5 +9,5 @@
Implementation-Vendor: @implementation.vendor@
Implementation-Vendor-Id: @implementation.vendor.id@
Class-Path: jbossws-spi.jar jboss-jaxrpc.jar jboss-jaxws.jar jboss-saaj.jar
- jboss-xml-binding.jar javassist.jar mail.jar activation.jar
- jaxb-api.jar jaxb-impl.jar policy.jar wsdl4j.jar
\ No newline at end of file
+ activation.jar commons-logging.jar concurrent.jar javassist.jar jaxb-api.jar jaxb-impl.jar
+ mail.jar jboss-remoting.jar jboss-xml-binding.jar policy.jar wsdl4j.jar
17 years, 7 months
JBossWS SVN: r3656 - trunk/jbossws-core/src/main/etc.
by jbossws-commits@lists.jboss.org
Author: heiko.braun(a)jboss.com
Date: 2007-06-20 07:47:50 -0400 (Wed, 20 Jun 2007)
New Revision: 3656
Modified:
trunk/jbossws-core/src/main/etc/wsrunclient.sh
Log:
Rely on manifest classpath attributes
Modified: trunk/jbossws-core/src/main/etc/wsrunclient.sh
===================================================================
--- trunk/jbossws-core/src/main/etc/wsrunclient.sh 2007-06-20 10:33:12 UTC (rev 3655)
+++ trunk/jbossws-core/src/main/etc/wsrunclient.sh 2007-06-20 11:47:50 UTC (rev 3656)
@@ -56,28 +56,16 @@
JBOSS_ENDORSED_DIRS="$JBOSS_HOME/lib/endorsed"
# Setup the client classpath
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/activation.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/mail.jar"
WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/log4j.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/javassist.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jaxb-api.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jaxb-impl.jar"
WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jbossws-client.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jbossws-spi.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jboss-jaxws.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jboss-jaxrpc.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jboss-saaj.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jboss-xml-binding.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/policy.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/wsdl4j.jar"
-# subset of jbossall-client.jar:
+# JBossAS-5.0 subset of jbossall-client.jar
WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jboss-logging-spi.jar"
WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jboss-common-core.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/concurrent.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/commons-logging.jar"
-WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jboss-remoting.jar"
+# JBossAS-4.2 subset of jbossall-client.jar
+WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$JBOSS_HOME/client/jboss-common-client.jar"
+
while [ $# -ge 1 ]; do
case $1 in
"-classpath") WSRUNCLIENT_CLASSPATH="$WSRUNCLIENT_CLASSPATH:$2"; shift;;
17 years, 7 months
JBossWS SVN: r3655 - in branches/jbossws-2.0/integration/native/src/main/resources: jbossws-native50.sar/META-INF and 1 other directory.
by jbossws-commits@lists.jboss.org
Author: thomas.diesler(a)jboss.com
Date: 2007-06-20 06:33:12 -0400 (Wed, 20 Jun 2007)
New Revision: 3655
Modified:
branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native40.sar/jbossws.beans/META-INF/jboss-beans-no-ejb3.xml
branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native40.sar/jbossws.beans/META-INF/jboss-beans.xml
branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native50.sar/META-INF/jbossws-beans.xml
Log:
[JBWS-1640] Resurect endpoint metrics
Modified: branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native40.sar/jbossws.beans/META-INF/jboss-beans-no-ejb3.xml
===================================================================
--- branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native40.sar/jbossws.beans/META-INF/jboss-beans-no-ejb3.xml 2007-06-20 10:31:17 UTC (rev 3654)
+++ branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native40.sar/jbossws.beans/META-INF/jboss-beans-no-ejb3.xml 2007-06-20 10:33:12 UTC (rev 3655)
@@ -109,6 +109,7 @@
<inject bean="WSServiceEndpointInvokerDeployer"/>
<inject bean="WSEagerInitializeDeployer"/>
<inject bean="WSEventingDeployer"/>
+ <inject bean="WSEndpointMetricsDeployer"/>
<inject bean="WSEndpointRegistryDeployer"/>
<inject bean="WSEndpointLifecycleDeployer"/>
</list>
@@ -134,6 +135,9 @@
</property>
</bean>
<bean name="WSEndpointLifecycleDeployer" class="org.jboss.wsf.spi.deployment.EndpointLifecycleDeployer"/>
+ <bean name="WSEndpointMetricsDeployer" class="org.jboss.wsf.spi.deployment.EndpointMetricsDeployer">
+ <property name="endpointMetrics"><inject bean="WSEndpointMetrics"/></property>
+ </bean>
<bean name="WSEndpointNameDeployer" class="org.jboss.wsf.spi.deployment.EndpointNameDeployer"/>
<bean name="WSEndpointRegistryDeployer" class="org.jboss.wsf.spi.deployment.EndpointRegistryDeployer"/>
<bean name="WSEventingDeployer" class="org.jboss.wsf.stack.jbws.EventingDeployer"/>
@@ -161,6 +165,7 @@
<property name="applicationMetaDataAdapterEJB21"><inject bean="WSApplicationMetaDataAdapterEJB21"/></property>
<property name="webMetaDataAdapter"><inject bean="WSWebMetaDataAdapter"/></property>
</bean>
+ <bean name="WSEndpointMetrics" class="org.jboss.wsf.spi.management.BasicEndpointMetrics"/>
<bean name="WSSecurityHandlerEJB21" class="org.jboss.wsf.container.jboss42.SecurityHandlerEJB21"/>
<bean name="WSServiceRefMetaDataAdapter" class="org.jboss.wsf.container.jboss40.ServiceRefMetaDataAdapter"/>
<bean name="WSWebAppDesciptorModifier" class="org.jboss.wsf.stack.jbws.WebAppDesciptorModifierImpl">
Modified: branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native40.sar/jbossws.beans/META-INF/jboss-beans.xml
===================================================================
--- branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native40.sar/jbossws.beans/META-INF/jboss-beans.xml 2007-06-20 10:31:17 UTC (rev 3654)
+++ branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native40.sar/jbossws.beans/META-INF/jboss-beans.xml 2007-06-20 10:33:12 UTC (rev 3655)
@@ -109,6 +109,7 @@
<inject bean="WSServiceEndpointInvokerDeployer"/>
<inject bean="WSEagerInitializeDeployer"/>
<inject bean="WSEventingDeployer"/>
+ <inject bean="WSEndpointMetricsDeployer"/>
<inject bean="WSEndpointRegistryDeployer"/>
<inject bean="WSEndpointLifecycleDeployer"/>
</list>
@@ -135,6 +136,9 @@
</property>
</bean>
<bean name="WSEndpointLifecycleDeployer" class="org.jboss.wsf.spi.deployment.EndpointLifecycleDeployer"/>
+ <bean name="WSEndpointMetricsDeployer" class="org.jboss.wsf.spi.deployment.EndpointMetricsDeployer">
+ <property name="endpointMetrics"><inject bean="WSEndpointMetrics"/></property>
+ </bean>
<bean name="WSEndpointNameDeployer" class="org.jboss.wsf.spi.deployment.EndpointNameDeployer"/>
<bean name="WSEndpointRegistryDeployer" class="org.jboss.wsf.spi.deployment.EndpointRegistryDeployer"/>
<bean name="WSEventingDeployer" class="org.jboss.wsf.stack.jbws.EventingDeployer"/>
@@ -165,6 +169,7 @@
<property name="applicationMetaDataAdapterEJB3"><inject bean="WSApplicationMetaDataAdapterEJB3"/></property>
<property name="webMetaDataAdapter"><inject bean="WSWebMetaDataAdapter"/></property>
</bean>
+ <bean name="WSEndpointMetrics" class="org.jboss.wsf.spi.management.BasicEndpointMetrics"/>
<bean name="WSSecurityHandlerEJB21" class="org.jboss.wsf.container.jboss42.SecurityHandlerEJB21"/>
<bean name="WSSecurityHandlerEJB3" class="org.jboss.wsf.container.jboss42.SecurityHandlerEJB3"/>
<bean name="WSServiceRefMetaDataAdapter" class="org.jboss.wsf.container.jboss40.ServiceRefMetaDataAdapter"/>
Modified: branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native50.sar/META-INF/jbossws-beans.xml
===================================================================
--- branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native50.sar/META-INF/jbossws-beans.xml 2007-06-20 10:31:17 UTC (rev 3654)
+++ branches/jbossws-2.0/integration/native/src/main/resources/jbossws-native50.sar/META-INF/jbossws-beans.xml 2007-06-20 10:33:12 UTC (rev 3655)
@@ -124,6 +124,7 @@
<inject bean="WSServiceEndpointInvokerDeployer"/>
<inject bean="WSEagerInitializeDeployer"/>
<inject bean="WSEventingDeployer"/>
+ <inject bean="WSEndpointMetricsDeployer"/>
<inject bean="WSEndpointRegistryDeployer"/>
<inject bean="WSEndpointLifecycleDeployer"/>
</list>
@@ -150,6 +151,9 @@
</property>
</bean>
<bean name="WSEndpointLifecycleDeployer" class="org.jboss.wsf.spi.deployment.EndpointLifecycleDeployer"/>
+ <bean name="WSEndpointMetricsDeployer" class="org.jboss.wsf.spi.deployment.EndpointMetricsDeployer">
+ <property name="endpointMetrics"><inject bean="WSEndpointMetrics"/></property>
+ </bean>
<bean name="WSEndpointNameDeployer" class="org.jboss.wsf.spi.deployment.EndpointNameDeployer"/>
<bean name="WSEndpointRegistryDeployer" class="org.jboss.wsf.spi.deployment.EndpointRegistryDeployer"/>
<bean name="WSEventingDeployer" class="org.jboss.wsf.stack.jbws.EventingDeployer"/>
@@ -172,7 +176,7 @@
</bean>
<!-- Deployer helper beans -->
- <bean name="WSSecurityHandlerEJB21" class="org.jboss.wsf.container.jboss50.SecurityHandlerEJB21"/>
+ <bean name="WSEndpointMetrics" class="org.jboss.wsf.spi.management.BasicEndpointMetrics"/> <bean name="WSSecurityHandlerEJB21" class="org.jboss.wsf.container.jboss50.SecurityHandlerEJB21"/>
<bean name="WSSecurityHandlerEJB3" class="org.jboss.wsf.container.jboss50.SecurityHandlerEJB3"/>
<bean name="WSWebAppDesciptorModifier" class="org.jboss.wsf.stack.jbws.WebAppDesciptorModifierImpl">
<property name="servletClass">org.jboss.wsf.stack.jbws.ServiceEndpointServlet</property>
17 years, 7 months
JBossWS SVN: r3654 - in branches/jbossws-2.0: build/ant-import and 6 other directories.
by jbossws-commits@lists.jboss.org
Author: heiko.braun(a)jboss.com
Date: 2007-06-20 06:31:17 -0400 (Wed, 20 Jun 2007)
New Revision: 3654
Added:
branches/jbossws-2.0/build/build.bat
branches/jbossws-2.0/build/build.conf.example
branches/jbossws-2.0/build/build.sh
branches/jbossws-2.0/integration/native/build.bat
branches/jbossws-2.0/integration/native/build.sh
branches/jbossws-2.0/integration/spi/build.bat
branches/jbossws-2.0/integration/spi/build.sh
branches/jbossws-2.0/jbossws-core/build.bat
branches/jbossws-2.0/jbossws-core/build.sh
Modified:
branches/jbossws-2.0/build/ant-import/build-testsuite.xml
branches/jbossws-2.0/build/ant.properties.example
branches/jbossws-2.0/integration/native/ant-import/build-bin-dist.xml
branches/jbossws-2.0/integration/spi/ant-import/macros-deploy-spi.xml
branches/jbossws-2.0/jbossws-core/ant-import-tests/build-testsuite.xml
Log:
Added build.sh to main modules
Modified: branches/jbossws-2.0/build/ant-import/build-testsuite.xml
===================================================================
--- branches/jbossws-2.0/build/ant-import/build-testsuite.xml 2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/build/ant-import/build-testsuite.xml 2007-06-20 10:31:17 UTC (rev 3654)
@@ -108,6 +108,7 @@
<pathelement location="${jboss.client}/jboss-logging-spi.jar"/>
<pathelement location="${jboss.client}/jboss-xml-binding.jar"/>
<pathelement location="${jboss.client}/mail.jar"/>
+ <pathelement location="${jboss.client}/wsdl4j.jar"/>
<pathelement location="${jboss.server.lib}/jboss-javaee.jar"/>
<pathelement location="${jboss.server.lib}/jbosssx.jar"/>
<pathelement location="${jboss.server.lib}/servlet-api.jar"/>
@@ -146,6 +147,7 @@
<pathelement location="${jboss.client}/jboss-j2ee.jar"/>
<pathelement location="${jboss.client}/jboss-xml-binding.jar"/>
<pathelement location="${jboss.client}/mail.jar"/>
+ <pathelement location="${jboss.client}/wsdl4j.jar"/>
<pathelement location="${jboss.client}/stax-api.jar"/>
<pathelement location="${jboss.client}/jbosssx-client.jar"/>
<pathelement location="${jboss.server.lib}/servlet-api.jar"/>
@@ -180,6 +182,7 @@
<pathelement location="${jboss.client}/jboss-j2ee.jar"/>
<pathelement location="${jboss.client}/jboss-xml-binding.jar"/>
<pathelement location="${jboss.client}/mail.jar"/>
+ <pathelement location="${jboss.client}/wsdl4j.jar"/>
<pathelement location="${jboss.client}/stax-api.jar"/>
<pathelement location="${jboss.client}/jbosssx-client.jar"/>
<pathelement location="${jboss.server.lib}/javax.servlet.jar"/>
Modified: branches/jbossws-2.0/build/ant.properties.example
===================================================================
--- branches/jbossws-2.0/build/ant.properties.example 2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/build/ant.properties.example 2007-06-20 10:31:17 UTC (rev 3654)
@@ -54,6 +54,9 @@
# Force thirdparty HTTP get
#force.thirdparty.get=true
+# JDK settings
+jdk6.home=/opt/jdk1.6.0_01
+
# Java Compiler options
javac.debug=yes
javac.deprecation=no
Added: branches/jbossws-2.0/build/build.bat
===================================================================
--- branches/jbossws-2.0/build/build.bat (rev 0)
+++ branches/jbossws-2.0/build/build.bat 2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,109 @@
+@echo off
+
+REM ======================================================================
+REM
+REM This is the main entry point for the build system.
+REM
+REM Users should be sure to execute this file rather than 'ant' to ensure
+REM the correct version is being used with the correct configuration.
+REM
+REM NOTE: Uncomment the USE_JDK6 property when using JDK 1.6
+REM
+REM ======================================================================
+REM
+REM $Id: build.bat 61858 2007-03-29 17:19:26Z dimitris(a)jboss.org $
+
+REM ******************************************************
+REM Ignore the ANT_HOME variable: we want to use *our*
+REM ANT version and associated JARs.
+REM ******************************************************
+REM Ignore the users classpath, cause it might mess
+REM things up
+REM ******************************************************
+
+SETLOCAL
+
+set NOPAUSE=true
+set CLASSPATH=
+set ANT_HOME=
+
+set ANT_OPTS=-Xmx256m -Dbuild.script=build.bat
+
+REM ******************************************************
+REM JDK 6 Settings
+REM Uncomment when using JDK 6
+REM ******************************************************
+REM set USE_JDK6=true
+
+REM
+REM - "for" loops have been unrolled for compatibility
+REM with some WIN32 systems.
+REM ******************************************************
+
+set NAMES=build\tools;build\tools\ant;build\tools\apache\ant
+set SUBFOLDERS=..;..\..;..\..\..;..\..\..\..
+
+REM ******************************************************
+REM ********Save the command line arguments***************
+REM ******************************************************
+set BUILD_ARGS=%1
+if ""%1""=="""" goto completedArgs
+shift
+:processArg
+if ""%1""=="""" goto completedArgs
+set BUILD_ARGS=%BUILD_ARGS% %1
+shift
+goto processArg
+
+:completedArgs
+
+REM ******************************************************
+REM ******************************************************
+
+SET EXECUTED=FALSE
+for %%i in (%NAMES%) do call :subLoop %%i %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ********* Search for names in the subfolders *********
+REM ******************************************************
+
+:subLoop
+for %%j in (%SUBFOLDERS%) do call :testIfExists %%j\%1\bin\ant.bat %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************ Test if ANT Batch file exists ***********
+REM ******************************************************
+
+:testIfExists
+if exist %1 call :BatchFound %1 %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************** Batch file has been found *************
+REM ******************************************************
+
+:BatchFound
+if (%EXECUTED%)==(FALSE) call :ExecuteBatch %1 %BUILD_ARGS%
+set EXECUTED=TRUE
+
+goto :EOF
+
+REM ******************************************************
+REM ************* Execute Batch file only once ***********
+REM ******************************************************
+
+:ExecuteBatch
+echo Calling %1 %BUILD_ARGS%
+
+REM set ENDORSED=
+call %1 %BUILD_ARGS%
+
+:end
+
+if "%NOPAUSE%" == "" pause
+
Property changes on: branches/jbossws-2.0/build/build.bat
___________________________________________________________________
Name: svn:executable
+ *
Added: branches/jbossws-2.0/build/build.conf.example
===================================================================
--- branches/jbossws-2.0/build/build.conf.example (rev 0)
+++ branches/jbossws-2.0/build/build.conf.example 2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,7 @@
+
+##
+## Build configuration
+##
+
+# Uncomment when using JDK 6
+USE_JDK6=true
Added: branches/jbossws-2.0/build/build.sh
===================================================================
--- branches/jbossws-2.0/build/build.sh (rev 0)
+++ branches/jbossws-2.0/build/build.sh 2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,187 @@
+#!/bin/sh
+### ====================================================================== ###
+## ##
+## This is the main entry point for the build system. ##
+## ##
+## Users should be sure to execute this file rather than 'ant' to ensure ##
+## the correct version is being used with the correct configuration. ##
+## ##
+## NOTE: Uncomment the JDK6 property if you are running JDK 1.6 ##
+## ##
+### ====================================================================== ###
+
+# $Id: build.sh 60589 2007-02-16 16:37:13Z jfrederic.clere(a)jboss.com $
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+GREP="grep"
+ROOT="/"
+
+# Ignore user's ANT_HOME if it is set
+ANT_HOME=""
+
+# Uncomment when using JDK 6
+#USE_JDK6=true
+
+# the default search path for ant
+ANT_SEARCH_PATH="\
+ tools
+ tools/ant \
+ tools/apache/ant \
+ ant \
+ ../build/tools/ant \
+ ../../build/tools/ant \
+ ../../../build/tools/ant "
+
+# the default build file name
+ANT_BUILD_FILE="build.xml"
+
+# the default arguments
+ANT_OPTIONS="--noconfig -find $ANT_BUILD_FILE"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false;
+darwin=false;
+case "`uname`" in
+ CYGWIN*)
+ cygwin=true
+ ;;
+
+ Darwin*)
+ darwin=true
+ ;;
+esac
+
+#
+# Helper to complain.
+#
+die() {
+ echo "${PROGNAME}: $*"
+ exit 1
+}
+
+#
+# Helper to complain.
+#
+warn() {
+ echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to source a file if it exists.
+#
+maybe_source() {
+ for file in $*; do
+ if [ -f "$file" ]; then
+ . $file
+ fi
+ done
+}
+
+search() {
+ search="$*"
+ for d in $search; do
+ ANT_HOME="`pwd`/$d"
+ ANT="$ANT_HOME/bin/ant"
+ if [ -x "$ANT" ]; then
+ # found one
+ echo $ANT_HOME
+ break
+ fi
+ done
+}
+
+#
+# Main function.
+#
+main() {
+ # if there is a build config file. then source it
+ maybe_source "$DIRNAME/build.conf" "../build/build.conf" "../../build/build.conf" "../../../build/build.conf"
+
+ # Increase the maximum file descriptors if we can
+ if [ $cygwin = "false" ]; then
+ MAX_FD_LIMIT=`ulimit -H -n`
+ if [ $? -eq 0 ]; then
+ if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
+ # use the system max
+ MAX_FD="$MAX_FD_LIMIT"
+ fi
+
+ ulimit -n $MAX_FD
+ if [ $? -ne 0 ]; then
+ warn "Could not set maximum file descriptor limit: $MAX_FD"
+ fi
+ else
+ warn "Could not query system maximum file descriptor limit: $MAX_FD_LIMIT"
+ fi
+ fi
+
+ # try the search path
+ ANT_HOME=`search $ANT_SEARCH_PATH`
+
+ # try looking up to root
+ if [ "x$ANT_HOME" = "x" ]; then
+ target="build"
+ _cwd=`pwd`
+
+ while [ "x$ANT_HOME" = "x" ] && [ "$cwd" != "$ROOT" ]; do
+ cd ..
+ cwd=`pwd`
+ ANT_HOME=`search $ANT_SEARCH_PATH`
+ done
+
+ # make sure we get back
+ cd $_cwd
+
+ if [ "$cwd" != "$ROOT" ]; then
+ found="true"
+ fi
+
+ # complain if we did not find anything
+ if [ "$found" != "true" ]; then
+ die "Could not locate Ant; check \$ANT or \$ANT_HOME."
+ fi
+ fi
+
+ # make sure we have one
+ ANT=$ANT_HOME/bin/ant
+ if [ ! -x "$ANT" ]; then
+ die "Ant file is not executable: $ANT"
+ fi
+
+ # Set the max memory to 256m
+ ANT_OPTS=-Xmx256m
+
+ if [ "x$USE_JDK6" = "xtrue" ]; then
+ ANT_OPTS="$ANT_OPTS -Djava.endorsed.dirs=$ANT_HOME/endorsed"
+ echo "--------------------------------------"
+ echo "Endorsed Directory: $ANT_HOME/endorsed"
+ echo "--------------------------------------"
+ fi
+
+ # setup some build properties
+ ANT_OPTS="$ANT_OPTS -Dbuild.script=$0"
+
+ # change to the directory where the script lives so users are not forced
+ # to be in the same directory as build.xml
+ cd $DIRNAME
+
+ # export some stuff for ant
+ export ANT ANT_HOME ANT_OPTS
+
+ # execute in debug mode, or simply execute
+ if [ "x$ANT_DEBUG" != "x" ]; then
+ /bin/sh -x $ANT $ANT_OPTIONS "$@"
+ else
+ exec $ANT $ANT_OPTIONS "$@"
+ fi
+}
+
+##
+## Bootstrap
+##
+
+main "$@"
Property changes on: branches/jbossws-2.0/build/build.sh
___________________________________________________________________
Name: svn:executable
+ *
Modified: branches/jbossws-2.0/integration/native/ant-import/build-bin-dist.xml
===================================================================
--- branches/jbossws-2.0/integration/native/ant-import/build-bin-dist.xml 2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/integration/native/ant-import/build-bin-dist.xml 2007-06-20 10:31:17 UTC (rev 3654)
@@ -25,12 +25,14 @@
<property name="bindist.lib.dir" value="${bindist.dir}/lib"/>
<property name="bindist.docs.dir" value="${bindist.dir}/docs"/>
<property name="bindist.tests.dir" value="${bindist.dir}/tests"/>
+ <property name="bindist.tools.dir" value="${bindist.dir}/tools"/>
<delete dir="${bindist.dir}"/>
<mkdir dir="${bindist.build.dir}"/>
<mkdir dir="${bindist.bin.dir}"/>
<mkdir dir="${bindist.docs.dir}"/>
<mkdir dir="${bindist.tests.dir}"/>
+ <mkdir dir="${bindist.tools.dir}"/>
<!-- root -->
<copy tofile="${bindist.dir}/ant.properties" file="${build.dir}/dist/ant.properties.example">
@@ -140,6 +142,18 @@
<fileset dir="${int.native.dir}/src/test"/>
</copy>
+ <!-- build tools -->
+ <copy todir="${bindist.tools.dir}" overwrite="true">
+ <fileset dir="${build.dir}/tools/ant"/>
+ </copy>
+ <copy todir="${bindist.dir}" overwrite="true">
+ <fileset dir="${build.dir}">
+ <include name="build.bat"/>
+ <include name="build.sh"/>
+ </fileset>
+ </copy>
+ <chmod file="${bindist.dir}/build.sh" perm="+x"/>
+
<zip destfile="${native.output.dir}/jbossws-native-${version.id}.zip">
<fileset dir="${native.output.dir}" includes="jbossws-native-${version.id}/**"/>
</zip>
Added: branches/jbossws-2.0/integration/native/build.bat
===================================================================
--- branches/jbossws-2.0/integration/native/build.bat (rev 0)
+++ branches/jbossws-2.0/integration/native/build.bat 2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,109 @@
+@echo off
+
+REM ======================================================================
+REM
+REM This is the main entry point for the build system.
+REM
+REM Users should be sure to execute this file rather than 'ant' to ensure
+REM the correct version is being used with the correct configuration.
+REM
+REM NOTE: Uncomment the USE_JDK6 property when using JDK 1.6
+REM
+REM ======================================================================
+REM
+REM $Id: build.bat 61858 2007-03-29 17:19:26Z dimitris(a)jboss.org $
+
+REM ******************************************************
+REM Ignore the ANT_HOME variable: we want to use *our*
+REM ANT version and associated JARs.
+REM ******************************************************
+REM Ignore the users classpath, cause it might mess
+REM things up
+REM ******************************************************
+
+SETLOCAL
+
+set NOPAUSE=true
+set CLASSPATH=
+set ANT_HOME=
+
+set ANT_OPTS=-Xmx256m -Dbuild.script=build.bat
+
+REM ******************************************************
+REM JDK 6 Settings
+REM Uncomment when using JDK 6
+REM ******************************************************
+REM set USE_JDK6=true
+
+REM
+REM - "for" loops have been unrolled for compatibility
+REM with some WIN32 systems.
+REM ******************************************************
+
+set NAMES=build\tools;build\tools\ant;build\tools\apache\ant
+set SUBFOLDERS=..;..\..;..\..\..;..\..\..\..
+
+REM ******************************************************
+REM ********Save the command line arguments***************
+REM ******************************************************
+set BUILD_ARGS=%1
+if ""%1""=="""" goto completedArgs
+shift
+:processArg
+if ""%1""=="""" goto completedArgs
+set BUILD_ARGS=%BUILD_ARGS% %1
+shift
+goto processArg
+
+:completedArgs
+
+REM ******************************************************
+REM ******************************************************
+
+SET EXECUTED=FALSE
+for %%i in (%NAMES%) do call :subLoop %%i %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ********* Search for names in the subfolders *********
+REM ******************************************************
+
+:subLoop
+for %%j in (%SUBFOLDERS%) do call :testIfExists %%j\%1\bin\ant.bat %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************ Test if ANT Batch file exists ***********
+REM ******************************************************
+
+:testIfExists
+if exist %1 call :BatchFound %1 %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************** Batch file has been found *************
+REM ******************************************************
+
+:BatchFound
+if (%EXECUTED%)==(FALSE) call :ExecuteBatch %1 %BUILD_ARGS%
+set EXECUTED=TRUE
+
+goto :EOF
+
+REM ******************************************************
+REM ************* Execute Batch file only once ***********
+REM ******************************************************
+
+:ExecuteBatch
+echo Calling %1 %BUILD_ARGS%
+
+REM set ENDORSED=
+call %1 %BUILD_ARGS%
+
+:end
+
+if "%NOPAUSE%" == "" pause
+
Property changes on: branches/jbossws-2.0/integration/native/build.bat
___________________________________________________________________
Name: svn:executable
+ *
Added: branches/jbossws-2.0/integration/native/build.sh
===================================================================
--- branches/jbossws-2.0/integration/native/build.sh (rev 0)
+++ branches/jbossws-2.0/integration/native/build.sh 2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,187 @@
+#!/bin/sh
+### ====================================================================== ###
+## ##
+## This is the main entry point for the build system. ##
+## ##
+## Users should be sure to execute this file rather than 'ant' to ensure ##
+## the correct version is being used with the correct configuration. ##
+## ##
+## NOTE: Uncomment the JDK6 property if you are running JDK 1.6 ##
+## ##
+### ====================================================================== ###
+
+# $Id: build.sh 60589 2007-02-16 16:37:13Z jfrederic.clere(a)jboss.com $
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+GREP="grep"
+ROOT="/"
+
+# Ignore user's ANT_HOME if it is set
+ANT_HOME=""
+
+# Uncomment when using JDK 6
+#USE_JDK6=true
+
+# the default search path for ant
+ANT_SEARCH_PATH="\
+ tools
+ tools/ant \
+ tools/apache/ant \
+ ant \
+ ../build/tools/ant \
+ ../../build/tools/ant \
+ ../../../build/tools/ant "
+
+# the default build file name
+ANT_BUILD_FILE="build.xml"
+
+# the default arguments
+ANT_OPTIONS="--noconfig -find $ANT_BUILD_FILE"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false;
+darwin=false;
+case "`uname`" in
+ CYGWIN*)
+ cygwin=true
+ ;;
+
+ Darwin*)
+ darwin=true
+ ;;
+esac
+
+#
+# Helper to complain.
+#
+die() {
+ echo "${PROGNAME}: $*"
+ exit 1
+}
+
+#
+# Helper to complain.
+#
+warn() {
+ echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to source a file if it exists.
+#
+maybe_source() {
+ for file in $*; do
+ if [ -f "$file" ]; then
+ . $file
+ fi
+ done
+}
+
+search() {
+ search="$*"
+ for d in $search; do
+ ANT_HOME="`pwd`/$d"
+ ANT="$ANT_HOME/bin/ant"
+ if [ -x "$ANT" ]; then
+ # found one
+ echo $ANT_HOME
+ break
+ fi
+ done
+}
+
+#
+# Main function.
+#
+main() {
+ # if there is a build config file. then source it
+ maybe_source "$DIRNAME/build.conf" "../build/build.conf" "../../build/build.conf" "../../../build/build.conf"
+
+ # Increase the maximum file descriptors if we can
+ if [ $cygwin = "false" ]; then
+ MAX_FD_LIMIT=`ulimit -H -n`
+ if [ $? -eq 0 ]; then
+ if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
+ # use the system max
+ MAX_FD="$MAX_FD_LIMIT"
+ fi
+
+ ulimit -n $MAX_FD
+ if [ $? -ne 0 ]; then
+ warn "Could not set maximum file descriptor limit: $MAX_FD"
+ fi
+ else
+ warn "Could not query system maximum file descriptor limit: $MAX_FD_LIMIT"
+ fi
+ fi
+
+ # try the search path
+ ANT_HOME=`search $ANT_SEARCH_PATH`
+
+ # try looking up to root
+ if [ "x$ANT_HOME" = "x" ]; then
+ target="build"
+ _cwd=`pwd`
+
+ while [ "x$ANT_HOME" = "x" ] && [ "$cwd" != "$ROOT" ]; do
+ cd ..
+ cwd=`pwd`
+ ANT_HOME=`search $ANT_SEARCH_PATH`
+ done
+
+ # make sure we get back
+ cd $_cwd
+
+ if [ "$cwd" != "$ROOT" ]; then
+ found="true"
+ fi
+
+ # complain if we did not find anything
+ if [ "$found" != "true" ]; then
+ die "Could not locate Ant; check \$ANT or \$ANT_HOME."
+ fi
+ fi
+
+ # make sure we have one
+ ANT=$ANT_HOME/bin/ant
+ if [ ! -x "$ANT" ]; then
+ die "Ant file is not executable: $ANT"
+ fi
+
+ # Set the max memory to 256m
+ ANT_OPTS=-Xmx256m
+
+ if [ "x$USE_JDK6" = "xtrue" ]; then
+ ANT_OPTS="$ANT_OPTS -Djava.endorsed.dirs=$ANT_HOME/endorsed"
+ echo "--------------------------------------"
+ echo "Endorsed Directory: $ANT_HOME/endorsed"
+ echo "--------------------------------------"
+ fi
+
+ # setup some build properties
+ ANT_OPTS="$ANT_OPTS -Dbuild.script=$0"
+
+ # change to the directory where the script lives so users are not forced
+ # to be in the same directory as build.xml
+ cd $DIRNAME
+
+ # export some stuff for ant
+ export ANT ANT_HOME ANT_OPTS
+
+ # execute in debug mode, or simply execute
+ if [ "x$ANT_DEBUG" != "x" ]; then
+ /bin/sh -x $ANT $ANT_OPTIONS "$@"
+ else
+ exec $ANT $ANT_OPTIONS "$@"
+ fi
+}
+
+##
+## Bootstrap
+##
+
+main "$@"
Property changes on: branches/jbossws-2.0/integration/native/build.sh
___________________________________________________________________
Name: svn:executable
+ *
Modified: branches/jbossws-2.0/integration/spi/ant-import/macros-deploy-spi.xml
===================================================================
--- branches/jbossws-2.0/integration/spi/ant-import/macros-deploy-spi.xml 2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/integration/spi/ant-import/macros-deploy-spi.xml 2007-06-20 10:31:17 UTC (rev 3654)
@@ -28,6 +28,9 @@
<fileset dir="@{spilibs}">
<include name="jbossws-spi.jar"/>
</fileset>
+ <fileset dir="@{thirdpartylibs}">
+ <include name="wsdl4j.jar"/>
+ </fileset>
</copy>
<!-- SERVER JARS-->
@@ -52,6 +55,7 @@
<!-- CLIENT JARS-->
<fileset dir="@{jbosshome}/client">
<include name="jbossws-spi.jar"/>
+ <include name="wsdl4j.jar"/>
</fileset>
<!-- SERVER JARS-->
@@ -62,4 +66,4 @@
</sequential>
</macrodef>
-</project>
\ No newline at end of file
+</project>
Added: branches/jbossws-2.0/integration/spi/build.bat
===================================================================
--- branches/jbossws-2.0/integration/spi/build.bat (rev 0)
+++ branches/jbossws-2.0/integration/spi/build.bat 2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,109 @@
+@echo off
+
+REM ======================================================================
+REM
+REM This is the main entry point for the build system.
+REM
+REM Users should be sure to execute this file rather than 'ant' to ensure
+REM the correct version is being used with the correct configuration.
+REM
+REM NOTE: Uncomment the USE_JDK6 property when using JDK 1.6
+REM
+REM ======================================================================
+REM
+REM $Id: build.bat 61858 2007-03-29 17:19:26Z dimitris(a)jboss.org $
+
+REM ******************************************************
+REM Ignore the ANT_HOME variable: we want to use *our*
+REM ANT version and associated JARs.
+REM ******************************************************
+REM Ignore the users classpath, cause it might mess
+REM things up
+REM ******************************************************
+
+SETLOCAL
+
+set NOPAUSE=true
+set CLASSPATH=
+set ANT_HOME=
+
+set ANT_OPTS=-Xmx256m -Dbuild.script=build.bat
+
+REM ******************************************************
+REM JDK 6 Settings
+REM Uncomment when using JDK 6
+REM ******************************************************
+REM set USE_JDK6=true
+
+REM
+REM - "for" loops have been unrolled for compatibility
+REM with some WIN32 systems.
+REM ******************************************************
+
+set NAMES=build\tools;build\tools\ant;build\tools\apache\ant
+set SUBFOLDERS=..;..\..;..\..\..;..\..\..\..
+
+REM ******************************************************
+REM ********Save the command line arguments***************
+REM ******************************************************
+set BUILD_ARGS=%1
+if ""%1""=="""" goto completedArgs
+shift
+:processArg
+if ""%1""=="""" goto completedArgs
+set BUILD_ARGS=%BUILD_ARGS% %1
+shift
+goto processArg
+
+:completedArgs
+
+REM ******************************************************
+REM ******************************************************
+
+SET EXECUTED=FALSE
+for %%i in (%NAMES%) do call :subLoop %%i %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ********* Search for names in the subfolders *********
+REM ******************************************************
+
+:subLoop
+for %%j in (%SUBFOLDERS%) do call :testIfExists %%j\%1\bin\ant.bat %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************ Test if ANT Batch file exists ***********
+REM ******************************************************
+
+:testIfExists
+if exist %1 call :BatchFound %1 %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************** Batch file has been found *************
+REM ******************************************************
+
+:BatchFound
+if (%EXECUTED%)==(FALSE) call :ExecuteBatch %1 %BUILD_ARGS%
+set EXECUTED=TRUE
+
+goto :EOF
+
+REM ******************************************************
+REM ************* Execute Batch file only once ***********
+REM ******************************************************
+
+:ExecuteBatch
+echo Calling %1 %BUILD_ARGS%
+
+REM set ENDORSED=
+call %1 %BUILD_ARGS%
+
+:end
+
+if "%NOPAUSE%" == "" pause
+
Property changes on: branches/jbossws-2.0/integration/spi/build.bat
___________________________________________________________________
Name: svn:executable
+ *
Added: branches/jbossws-2.0/integration/spi/build.sh
===================================================================
--- branches/jbossws-2.0/integration/spi/build.sh (rev 0)
+++ branches/jbossws-2.0/integration/spi/build.sh 2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,187 @@
+#!/bin/sh
+### ====================================================================== ###
+## ##
+## This is the main entry point for the build system. ##
+## ##
+## Users should be sure to execute this file rather than 'ant' to ensure ##
+## the correct version is being used with the correct configuration. ##
+## ##
+## NOTE: Uncomment the JDK6 property if you are running JDK 1.6 ##
+## ##
+### ====================================================================== ###
+
+# $Id: build.sh 60589 2007-02-16 16:37:13Z jfrederic.clere(a)jboss.com $
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+GREP="grep"
+ROOT="/"
+
+# Ignore user's ANT_HOME if it is set
+ANT_HOME=""
+
+# Uncomment when using JDK 6
+#USE_JDK6=true
+
+# the default search path for ant
+ANT_SEARCH_PATH="\
+ tools
+ tools/ant \
+ tools/apache/ant \
+ ant \
+ ../build/tools/ant \
+ ../../build/tools/ant \
+ ../../../build/tools/ant "
+
+# the default build file name
+ANT_BUILD_FILE="build.xml"
+
+# the default arguments
+ANT_OPTIONS="--noconfig -find $ANT_BUILD_FILE"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false;
+darwin=false;
+case "`uname`" in
+ CYGWIN*)
+ cygwin=true
+ ;;
+
+ Darwin*)
+ darwin=true
+ ;;
+esac
+
+#
+# Helper to complain.
+#
+die() {
+ echo "${PROGNAME}: $*"
+ exit 1
+}
+
+#
+# Helper to complain.
+#
+warn() {
+ echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to source a file if it exists.
+#
+maybe_source() {
+ for file in $*; do
+ if [ -f "$file" ]; then
+ . $file
+ fi
+ done
+}
+
+search() {
+ search="$*"
+ for d in $search; do
+ ANT_HOME="`pwd`/$d"
+ ANT="$ANT_HOME/bin/ant"
+ if [ -x "$ANT" ]; then
+ # found one
+ echo $ANT_HOME
+ break
+ fi
+ done
+}
+
+#
+# Main function.
+#
+main() {
+ # if there is a build config file. then source it
+ maybe_source "$DIRNAME/build.conf" "../build/build.conf" "../../build/build.conf" "../../../build/build.conf"
+
+ # Increase the maximum file descriptors if we can
+ if [ $cygwin = "false" ]; then
+ MAX_FD_LIMIT=`ulimit -H -n`
+ if [ $? -eq 0 ]; then
+ if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
+ # use the system max
+ MAX_FD="$MAX_FD_LIMIT"
+ fi
+
+ ulimit -n $MAX_FD
+ if [ $? -ne 0 ]; then
+ warn "Could not set maximum file descriptor limit: $MAX_FD"
+ fi
+ else
+ warn "Could not query system maximum file descriptor limit: $MAX_FD_LIMIT"
+ fi
+ fi
+
+ # try the search path
+ ANT_HOME=`search $ANT_SEARCH_PATH`
+
+ # try looking up to root
+ if [ "x$ANT_HOME" = "x" ]; then
+ target="build"
+ _cwd=`pwd`
+
+ while [ "x$ANT_HOME" = "x" ] && [ "$cwd" != "$ROOT" ]; do
+ cd ..
+ cwd=`pwd`
+ ANT_HOME=`search $ANT_SEARCH_PATH`
+ done
+
+ # make sure we get back
+ cd $_cwd
+
+ if [ "$cwd" != "$ROOT" ]; then
+ found="true"
+ fi
+
+ # complain if we did not find anything
+ if [ "$found" != "true" ]; then
+ die "Could not locate Ant; check \$ANT or \$ANT_HOME."
+ fi
+ fi
+
+ # make sure we have one
+ ANT=$ANT_HOME/bin/ant
+ if [ ! -x "$ANT" ]; then
+ die "Ant file is not executable: $ANT"
+ fi
+
+ # Set the max memory to 256m
+ ANT_OPTS=-Xmx256m
+
+ if [ "x$USE_JDK6" = "xtrue" ]; then
+ ANT_OPTS="$ANT_OPTS -Djava.endorsed.dirs=$ANT_HOME/endorsed"
+ echo "--------------------------------------"
+ echo "Endorsed Directory: $ANT_HOME/endorsed"
+ echo "--------------------------------------"
+ fi
+
+ # setup some build properties
+ ANT_OPTS="$ANT_OPTS -Dbuild.script=$0"
+
+ # change to the directory where the script lives so users are not forced
+ # to be in the same directory as build.xml
+ cd $DIRNAME
+
+ # export some stuff for ant
+ export ANT ANT_HOME ANT_OPTS
+
+ # execute in debug mode, or simply execute
+ if [ "x$ANT_DEBUG" != "x" ]; then
+ /bin/sh -x $ANT $ANT_OPTIONS "$@"
+ else
+ exec $ANT $ANT_OPTIONS "$@"
+ fi
+}
+
+##
+## Bootstrap
+##
+
+main "$@"
Property changes on: branches/jbossws-2.0/integration/spi/build.sh
___________________________________________________________________
Name: svn:executable
+ *
Modified: branches/jbossws-2.0/jbossws-core/ant-import-tests/build-testsuite.xml
===================================================================
--- branches/jbossws-2.0/jbossws-core/ant-import-tests/build-testsuite.xml 2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/jbossws-core/ant-import-tests/build-testsuite.xml 2007-06-20 10:31:17 UTC (rev 3654)
@@ -77,7 +77,6 @@
<taskdef name="wsconsume" classname="org.jboss.wsf.spi.tools.ant.WSConsumeTask">
<classpath refid="ws.stack.classpath"/>
<classpath location="${spi.dir}/output/lib/jbossws-spi.jar"/>
- <classpath location="${core.dir}/thirdparty/jaxb-api.jar"/>
<classpath location="${core.dir}/thirdparty/jaxb-xjc.jar"/>
<classpath location="${core.dir}/thirdparty/jaxb-impl.jar"/>
<classpath location="${core.dir}/thirdparty/jaxws-rt.jar"/>
Added: branches/jbossws-2.0/jbossws-core/build.bat
===================================================================
--- branches/jbossws-2.0/jbossws-core/build.bat (rev 0)
+++ branches/jbossws-2.0/jbossws-core/build.bat 2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,109 @@
+@echo off
+
+REM ======================================================================
+REM
+REM This is the main entry point for the build system.
+REM
+REM Users should be sure to execute this file rather than 'ant' to ensure
+REM the correct version is being used with the correct configuration.
+REM
+REM NOTE: Uncomment the USE_JDK6 property when using JDK 1.6
+REM
+REM ======================================================================
+REM
+REM $Id: build.bat 61858 2007-03-29 17:19:26Z dimitris(a)jboss.org $
+
+REM ******************************************************
+REM Ignore the ANT_HOME variable: we want to use *our*
+REM ANT version and associated JARs.
+REM ******************************************************
+REM Ignore the users classpath, cause it might mess
+REM things up
+REM ******************************************************
+
+SETLOCAL
+
+set NOPAUSE=true
+set CLASSPATH=
+set ANT_HOME=
+
+set ANT_OPTS=-Xmx256m -Dbuild.script=build.bat
+
+REM ******************************************************
+REM JDK 6 Settings
+REM Uncomment when using JDK 6
+REM ******************************************************
+REM set USE_JDK6=true
+
+REM
+REM - "for" loops have been unrolled for compatibility
+REM with some WIN32 systems.
+REM ******************************************************
+
+set NAMES=build\tools;build\tools\ant;build\tools\apache\ant
+set SUBFOLDERS=..;..\..;..\..\..;..\..\..\..
+
+REM ******************************************************
+REM ********Save the command line arguments***************
+REM ******************************************************
+set BUILD_ARGS=%1
+if ""%1""=="""" goto completedArgs
+shift
+:processArg
+if ""%1""=="""" goto completedArgs
+set BUILD_ARGS=%BUILD_ARGS% %1
+shift
+goto processArg
+
+:completedArgs
+
+REM ******************************************************
+REM ******************************************************
+
+SET EXECUTED=FALSE
+for %%i in (%NAMES%) do call :subLoop %%i %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ********* Search for names in the subfolders *********
+REM ******************************************************
+
+:subLoop
+for %%j in (%SUBFOLDERS%) do call :testIfExists %%j\%1\bin\ant.bat %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************ Test if ANT Batch file exists ***********
+REM ******************************************************
+
+:testIfExists
+if exist %1 call :BatchFound %1 %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************** Batch file has been found *************
+REM ******************************************************
+
+:BatchFound
+if (%EXECUTED%)==(FALSE) call :ExecuteBatch %1 %BUILD_ARGS%
+set EXECUTED=TRUE
+
+goto :EOF
+
+REM ******************************************************
+REM ************* Execute Batch file only once ***********
+REM ******************************************************
+
+:ExecuteBatch
+echo Calling %1 %BUILD_ARGS%
+
+REM set ENDORSED=
+call %1 %BUILD_ARGS%
+
+:end
+
+if "%NOPAUSE%" == "" pause
+
Property changes on: branches/jbossws-2.0/jbossws-core/build.bat
___________________________________________________________________
Name: svn:executable
+ *
Added: branches/jbossws-2.0/jbossws-core/build.sh
===================================================================
--- branches/jbossws-2.0/jbossws-core/build.sh (rev 0)
+++ branches/jbossws-2.0/jbossws-core/build.sh 2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,187 @@
+#!/bin/sh
+### ====================================================================== ###
+## ##
+## This is the main entry point for the build system. ##
+## ##
+## Users should be sure to execute this file rather than 'ant' to ensure ##
+## the correct version is being used with the correct configuration. ##
+## ##
+## NOTE: Uncomment the JDK6 property if you are running JDK 1.6 ##
+## ##
+### ====================================================================== ###
+
+# $Id: build.sh 60589 2007-02-16 16:37:13Z jfrederic.clere(a)jboss.com $
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+GREP="grep"
+ROOT="/"
+
+# Ignore user's ANT_HOME if it is set
+ANT_HOME=""
+
+# Uncomment when using JDK 6
+#USE_JDK6=true
+
+# the default search path for ant
+ANT_SEARCH_PATH="\
+ tools
+ tools/ant \
+ tools/apache/ant \
+ ant \
+ ../build/tools/ant \
+ ../../build/tools/ant \
+ ../../../build/tools/ant "
+
+# the default build file name
+ANT_BUILD_FILE="build.xml"
+
+# the default arguments
+ANT_OPTIONS="--noconfig -find $ANT_BUILD_FILE"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false;
+darwin=false;
+case "`uname`" in
+ CYGWIN*)
+ cygwin=true
+ ;;
+
+ Darwin*)
+ darwin=true
+ ;;
+esac
+
+#
+# Helper to complain.
+#
+die() {
+ echo "${PROGNAME}: $*"
+ exit 1
+}
+
+#
+# Helper to complain.
+#
+warn() {
+ echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to source a file if it exists.
+#
+maybe_source() {
+ for file in $*; do
+ if [ -f "$file" ]; then
+ . $file
+ fi
+ done
+}
+
+search() {
+ search="$*"
+ for d in $search; do
+ ANT_HOME="`pwd`/$d"
+ ANT="$ANT_HOME/bin/ant"
+ if [ -x "$ANT" ]; then
+ # found one
+ echo $ANT_HOME
+ break
+ fi
+ done
+}
+
+#
+# Main function.
+#
+main() {
+ # if there is a build config file. then source it
+ maybe_source "$DIRNAME/build.conf" "../build/build.conf" "../../build/build.conf" "../../../build/build.conf"
+
+ # Increase the maximum file descriptors if we can
+ if [ $cygwin = "false" ]; then
+ MAX_FD_LIMIT=`ulimit -H -n`
+ if [ $? -eq 0 ]; then
+ if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
+ # use the system max
+ MAX_FD="$MAX_FD_LIMIT"
+ fi
+
+ ulimit -n $MAX_FD
+ if [ $? -ne 0 ]; then
+ warn "Could not set maximum file descriptor limit: $MAX_FD"
+ fi
+ else
+ warn "Could not query system maximum file descriptor limit: $MAX_FD_LIMIT"
+ fi
+ fi
+
+ # try the search path
+ ANT_HOME=`search $ANT_SEARCH_PATH`
+
+ # try looking up to root
+ if [ "x$ANT_HOME" = "x" ]; then
+ target="build"
+ _cwd=`pwd`
+
+ while [ "x$ANT_HOME" = "x" ] && [ "$cwd" != "$ROOT" ]; do
+ cd ..
+ cwd=`pwd`
+ ANT_HOME=`search $ANT_SEARCH_PATH`
+ done
+
+ # make sure we get back
+ cd $_cwd
+
+ if [ "$cwd" != "$ROOT" ]; then
+ found="true"
+ fi
+
+ # complain if we did not find anything
+ if [ "$found" != "true" ]; then
+ die "Could not locate Ant; check \$ANT or \$ANT_HOME."
+ fi
+ fi
+
+ # make sure we have one
+ ANT=$ANT_HOME/bin/ant
+ if [ ! -x "$ANT" ]; then
+ die "Ant file is not executable: $ANT"
+ fi
+
+ # Set the max memory to 256m
+ ANT_OPTS=-Xmx256m
+
+ if [ "x$USE_JDK6" = "xtrue" ]; then
+ ANT_OPTS="$ANT_OPTS -Djava.endorsed.dirs=$ANT_HOME/endorsed"
+ echo "--------------------------------------"
+ echo "Endorsed Directory: $ANT_HOME/endorsed"
+ echo "--------------------------------------"
+ fi
+
+ # setup some build properties
+ ANT_OPTS="$ANT_OPTS -Dbuild.script=$0"
+
+ # change to the directory where the script lives so users are not forced
+ # to be in the same directory as build.xml
+ cd $DIRNAME
+
+ # export some stuff for ant
+ export ANT ANT_HOME ANT_OPTS
+
+ # execute in debug mode, or simply execute
+ if [ "x$ANT_DEBUG" != "x" ]; then
+ /bin/sh -x $ANT $ANT_OPTIONS "$@"
+ else
+ exec $ANT $ANT_OPTIONS "$@"
+ fi
+}
+
+##
+## Bootstrap
+##
+
+main "$@"
Property changes on: branches/jbossws-2.0/jbossws-core/build.sh
___________________________________________________________________
Name: svn:executable
+ *
17 years, 7 months
JBossWS SVN: r3653 - in branches/jbossws-2.0/build/hudson/hudson-home/jobs: AS-Tests-AS-4.2 and 1 other directories.
by jbossws-commits@lists.jboss.org
Author: heiko.braun(a)jboss.com
Date: 2007-06-20 06:30:47 -0400 (Wed, 20 Jun 2007)
New Revision: 3653
Modified:
branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-4.0/config.xml
branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-4.2/config.xml
branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-5.0/config.xml
Log:
Rollback build.sh invocation
Modified: branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-4.0/config.xml
===================================================================
--- branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-4.0/config.xml 2007-06-20 10:30:00 UTC (rev 3652)
+++ branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-4.0/config.xml 2007-06-20 10:30:47 UTC (rev 3653)
@@ -19,19 +19,19 @@
#
cd $JBWSDIR/build
cp ant.properties.example ant.properties
-./build.sh clean
-
+ant clean
+
#
# stop jbossas
#
$JBWSDIR/build/hudson/jboss/bin/jboss.sh $JBOSS_INSTANCE stop
-
+
#
# build/deploy jbossws-native
#
cd $JBWSDIR/integration/native
-./build.sh $ENVIRONMENT -Djboss40.home=$JBOSS_INSTANCE-ejb3 jars
-./build.sh $ENVIRONMENT -Djboss40.home=$JBOSS_INSTANCE deploy-jboss40
+ant $ENVIRONMENT -Djboss40.home=$JBOSS_INSTANCE-ejb3 jars
+ant $ENVIRONMENT -Djboss40.home=$JBOSS_INSTANCE deploy-jboss40
#
# start jbossas
Modified: branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-4.2/config.xml
===================================================================
--- branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-4.2/config.xml 2007-06-20 10:30:00 UTC (rev 3652)
+++ branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-4.2/config.xml 2007-06-20 10:30:47 UTC (rev 3653)
@@ -19,18 +19,18 @@
#
cd $JBWSDIR/build
cp ant.properties.example ant.properties
-./build.sh clean
-
+ant clean
+
#
# stop jbossas
#
$JBWSDIR/build/hudson/jboss/bin/jboss.sh $JBOSS_INSTANCE stop
-
+
#
# deploy to jboss
#
cd $JBWSDIR/jbossws-core
-./build.sh $ENVIRONMENT deploy-jboss42
+ant $ENVIRONMENT deploy-jboss42
#
# start jbossas
Modified: branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-5.0/config.xml
===================================================================
--- branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-5.0/config.xml 2007-06-20 10:30:00 UTC (rev 3652)
+++ branches/jbossws-2.0/build/hudson/hudson-home/jobs/AS-Tests-AS-5.0/config.xml 2007-06-20 10:30:47 UTC (rev 3653)
@@ -19,18 +19,18 @@
#
cd $JBWSDIR/build
cp ant.properties.example ant.properties
-./build.sh clean
+ant clean
#
# stop jbossas
#
$JBWSDIR/build/hudson/jboss/bin/jboss.sh $JBOSS_INSTANCE stop
-
+
#
# deploy to jboss
#
cd $JBWSDIR/jbossws-core
-./build.sh $ENVIRONMENT deploy-jboss50
+ant $ENVIRONMENT deploy-jboss50
#
# start jbossas
17 years, 7 months
JBossWS SVN: r3652 - in trunk/build/hudson/hudson-home/jobs: AS-Tests-AS-4.2 and 1 other directories.
by jbossws-commits@lists.jboss.org
Author: heiko.braun(a)jboss.com
Date: 2007-06-20 06:30:00 -0400 (Wed, 20 Jun 2007)
New Revision: 3652
Modified:
trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-4.0/config.xml
trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-4.2/config.xml
trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-5.0/config.xml
Log:
rollback buils.sh invocation
Modified: trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-4.0/config.xml
===================================================================
--- trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-4.0/config.xml 2007-06-20 10:28:15 UTC (rev 3651)
+++ trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-4.0/config.xml 2007-06-20 10:30:00 UTC (rev 3652)
@@ -19,19 +19,19 @@
#
cd $JBWSDIR/build
cp ant.properties.example ant.properties
-./build.sh clean
-
+ant clean
+
#
# stop jbossas
#
$JBWSDIR/build/hudson/jboss/bin/jboss.sh $JBOSS_INSTANCE stop
-
+
#
# build/deploy jbossws-native
#
cd $JBWSDIR/integration/native
-./build.sh $ENVIRONMENT -Djboss40.home=$JBOSS_INSTANCE-ejb3 jars
-./build.sh $ENVIRONMENT -Djboss40.home=$JBOSS_INSTANCE deploy-jboss40
+ant $ENVIRONMENT -Djboss40.home=$JBOSS_INSTANCE-ejb3 jars
+ant $ENVIRONMENT -Djboss40.home=$JBOSS_INSTANCE deploy-jboss40
#
# start jbossas
Modified: trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-4.2/config.xml
===================================================================
--- trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-4.2/config.xml 2007-06-20 10:28:15 UTC (rev 3651)
+++ trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-4.2/config.xml 2007-06-20 10:30:00 UTC (rev 3652)
@@ -19,18 +19,18 @@
#
cd $JBWSDIR/build
cp ant.properties.example ant.properties
-./build.sh clean
-
+ant clean
+
#
# stop jbossas
#
$JBWSDIR/build/hudson/jboss/bin/jboss.sh $JBOSS_INSTANCE stop
-
+
#
# deploy to jboss
#
cd $JBWSDIR/jbossws-core
-./build.sh $ENVIRONMENT deploy-jboss42
+ant $ENVIRONMENT deploy-jboss42
#
# start jbossas
Modified: trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-5.0/config.xml
===================================================================
--- trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-5.0/config.xml 2007-06-20 10:28:15 UTC (rev 3651)
+++ trunk/build/hudson/hudson-home/jobs/AS-Tests-AS-5.0/config.xml 2007-06-20 10:30:00 UTC (rev 3652)
@@ -19,18 +19,18 @@
#
cd $JBWSDIR/build
cp ant.properties.example ant.properties
-./build.sh clean
+ant clean
#
# stop jbossas
#
$JBWSDIR/build/hudson/jboss/bin/jboss.sh $JBOSS_INSTANCE stop
-
+
#
# deploy to jboss
#
cd $JBWSDIR/jbossws-core
-./build.sh $ENVIRONMENT deploy-jboss50
+ant $ENVIRONMENT deploy-jboss50
#
# start jbossas
17 years, 7 months
JBossWS SVN: r3651 - branches/jbossws-2.0/jbossws-core/src/main/etc.
by jbossws-commits@lists.jboss.org
Author: heiko.braun(a)jboss.com
Date: 2007-06-20 06:28:15 -0400 (Wed, 20 Jun 2007)
New Revision: 3651
Modified:
branches/jbossws-2.0/jbossws-core/src/main/etc/wstools.bat
branches/jbossws-2.0/jbossws-core/src/main/etc/wstools.sh
Log:
Cleanup wstools classpath
Modified: branches/jbossws-2.0/jbossws-core/src/main/etc/wstools.bat
===================================================================
--- branches/jbossws-2.0/jbossws-core/src/main/etc/wstools.bat 2007-06-20 10:27:57 UTC (rev 3650)
+++ branches/jbossws-2.0/jbossws-core/src/main/etc/wstools.bat 2007-06-20 10:28:15 UTC (rev 3651)
@@ -30,17 +30,23 @@
set JBOSS_ENDORSED_DIRS=%JBOSS_HOME%\lib\endorsed
rem Setup the wstools classpath
-set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jboss-xml-binding.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;$JAVA_HOME/lib/tools.jar
set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/activation.jar
-set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/javassist.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/getopt.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/wstx.jar
set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jbossall-client.jar
-set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jbossretro-rt.jar
-set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jboss-backport-concurrent.jar
-set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jbossws-client.jar
set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/log4j.jar
-set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/wsdl4j.jar
set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/mail.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/concurrent.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jbossws-spi.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/javassist.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jboss-xml-binding.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jbossws-client.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jboss-jaxws.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jboss-jaxrpc.jar
+set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jboss-saaj.jar
+
rem Display our environment
echo ========================================================================="
echo .
Modified: branches/jbossws-2.0/jbossws-core/src/main/etc/wstools.sh
===================================================================
--- branches/jbossws-2.0/jbossws-core/src/main/etc/wstools.sh 2007-06-20 10:27:57 UTC (rev 3650)
+++ branches/jbossws-2.0/jbossws-core/src/main/etc/wstools.sh 2007-06-20 10:28:15 UTC (rev 3651)
@@ -47,17 +47,25 @@
JBOSS_ENDORSED_DIRS="$JBOSS_HOME/lib/endorsed"
# Setup the wstools classpath
-WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jboss-xml-binding.jar"
+# shared libs
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JAVA_HOME/lib/tools.jar"
WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/activation.jar"
-WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/javassist.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/getopt.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/wstx.jar"
WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jbossall-client.jar"
-WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jbossretro-rt.jar"
-WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jboss-backport-concurrent.jar"
-WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jbossws-client.jar"
WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/log4j.jar"
-WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/wsdl4j.jar"
WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/mail.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/concurrent.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jbossws-spi.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/javassist.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jboss-xml-binding.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jbossws-client.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jboss-jaxws.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jboss-jaxrpc.jar"
+WSTOOLS_CLASSPATH="$WSTOOLS_CLASSPATH:$JBOSS_HOME/client/jboss-saaj.jar"
+
+
# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
JBOSS_HOME=`cygpath --path --windows "$JBOSS_HOME"`
17 years, 7 months